package com.xhkjedu.sapi.mapper.analyze;

import com.xhkjedu.sapi.vo.analyze.SchoolParams;
import com.xhkjedu.sapi.vo.analyze.work.SchoolWorkSubjectVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @ClassName SchoolTaskMapper
 * Description TODO 作业概况
 * Author WN
 * Date 2020/8/10 11:46
 **/
@Repository
public interface SchoolTaskMapper {
    //常规作业统计
    List<SchoolWorkSubjectVo> listSchoolTaskWork(@Param("sparams") SchoolParams sparams);

    //常规作业统计--详情
    List<SchoolWorkSubjectVo> listSchoolTaskWorkDetail(@Param("sparams") SchoolParams sparams);

    //学生预习统计
    List<SchoolWorkSubjectVo> listSchoolTaskGuide(@Param("sparams") SchoolParams sparams);

    //学生预习统计--详情
    List<SchoolWorkSubjectVo> listSchoolTaskGuideDetail(@Param("sparams") SchoolParams sparams);

    //背诵
    List<SchoolWorkSubjectVo> listSchoolTaskRecite(@Param("sparams") SchoolParams sparams);

    //背诵统计--详情
    List<SchoolWorkSubjectVo> listSchoolTaskReciteDetail(@Param("sparams") SchoolParams sparams);

    //获取用户集合
    List<SchoolParams> listUser(@Param("sparams") SchoolParams sparams);
}
